Security Enhanced Linux Reference Policy

# Layer: apps

## Module: wireplumber

Interfaces Templates

### Description:

Policy for WirePlumber, the PipeWire session manager.

### Interfaces:

wireplumber_dbus_chat( domain )

##### Summary

Allow a domain to chat to WirePlumber via dbus

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

wireplumber_domtrans( domain )

##### Summary

Execute a domain transition to run WirePlumber.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

wireplumber_mmap_rw_tmpfs_files( domain )

##### Summary

Allow a domain to read, write, and map WirePlumber shared memory (tmpfs) files. These are memfd files passed between WirePlumber and PipeWire for zero-copy audio buffer sharing.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

wireplumber_read_home_files( domain )

##### Summary

Allow a domain to read WirePlumber home directory content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

wireplumber_stream_connect( domain )

##### Summary

Connect to WirePlumber over a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

wireplumber_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for WirePlumber (user-service mode). Call this from unprivuser.te / staff.te in the same way pipewire_role is called.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., "user" for user_r).
user_domain | User domain for the role (e.g., user_t).
user_exec_domain | User exec domain for execute and transition access (e.g., user_application_exec_domain).
role | Role allowed access (e.g., user_r).

Return